package com.malk.Util;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Locale;

/**
 * 数字格式化
 */
public class UtilNumber {

    // 货币格式化
    public static final String formatCurrency(Number number) {
        DecimalFormat curFormat = (DecimalFormat) NumberFormat.getCurrencyInstance(Locale.CHINA);
        return curFormat.format(number);
    }

    // 百分比格式化
    public static final String formatPercent(Number number) {
        DecimalFormat percentFormat = (DecimalFormat) NumberFormat.getPercentInstance(Locale.CHINA);
        percentFormat.setMinimumFractionDigits(2);
        return percentFormat.format(number);
    }

    // 小数位精度格式
    public static final String formatPrecision(double number) {
        DecimalFormat df = new DecimalFormat("#.00");
        return df.format(new BigDecimal(number));
    }


}
